## Function `doiUrl( doi )`

Description:
  Maps a DOI (Digital Object Identifier) to its display URL. If the supplied string does not appear to be a DOI, null will be returned.

  If the supplied string appears to be a DOI, it strips any "`doi:`" prefix if present, prepends the string "`https://doi.org/`", and performs any character escaping that is required.

Parameters:
  `doi` (String)
    DOI string, with or without "doi:" prefix

Return Value (String):
  display URL pointing at DOI content, or null if it doesn't look like a DOI

Example:
  `doiUrl("10.3390/informatics4030018") = "https://doi.org/10.3390/informatics4030018"`

See Also:
  https://www.doi.org/

Signature:
  `String doiUrl(String)`